package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

// 包装
type Pack struct {
	Id        primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	Name      string             `bson:"name,omitempty" json:"name"`
	Thumbnail string             `bson:"thumbnail,omitempty" json:"thumbnail"`
	// 部件数量
	CompCounts int `bson:"compCounts,omitempty" json:"compCounts"`
	// 设计师
	Designer   string    `bson:"designer,omitempty" json:"designer"`
	CreateTime time.Time `bson:"createTime,omitempty" json:"createTime"`
	UpdateTime time.Time `bson:"updateTime,omitempty" json:"updateTime"`

	Components []*PackComponent `bson:"components,omitempty" json:"components"`
}

type PackComponent struct {
	Id        primitive.ObjectID `bson:"id,omitempty" json:"id"`
	Name      string             `bson:"name,omitempty" json:"name"`
	Thumbnail string             `bson:"thumbnail,omitempty" json:"thumbnail"`

	//刀版图
	Uv string `bson:"uv,omitempty" json:"uv"`

	//拼版尺寸
	UvSize string

	//所有材料
	Mats []*PackComponentMat

	Remark string
}

type PackComponentMat struct {
	Id    primitive.ObjectID `bson:"id,omitempty" json:"id"`
	MatId primitive.ObjectID `bson:"matId,omitempty" json:"matId"`

	//所有工艺
	Crafts []*PackComponentMatCraft
}

type PackComponentMatCraft struct {
	Id      primitive.ObjectID `bson:"id,omitempty" json:"id"`
	CraftId primitive.ObjectID `bson:"craftId,omitempty" json:"craftId"`

	//工艺尺寸
	Size string
}
