package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

// 供应商
type Supplier struct {
	Id         primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	Name       string             `bson:"name,omitempty" json:"name"`
	Address    string             `bson:"address,omitempty" json:"address"`
	Phone      string             `bson:"phone,omitempty" json:"phone"`
	CreateTime time.Time          `bson:"createTime,omitempty" json:"createTime"`
	UpdateTime time.Time          `bson:"updateTime,omitempty" json:"updateTime"`
}

type PriceStrategy struct {
	Type   string //same
	Param1 float64
	Param2 float64
	Param3 float64
}

// 供应商价格
type SupplierPrice struct {
	Id         primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	SupplierId primitive.ObjectID `bson:"supplierId,omitempty" json:"supplierId"`
	ProductId  primitive.ObjectID `bson:"productId,omitempty" json:"productId"`
	PriceType  *PriceStrategy     `bson:"priceType,omitempty" json:"priceType"`
	CreateTime time.Time          `bson:"createTime,omitempty" json:"createTime"`
}
